curl "https://starknet.api.avnu.fi/swap/v3/sources" \
async function getSources() {
const response = await fetch(
'https://starknet.api.avnu.fi/swap/v3/sources',
);
const sources = await response.json();
return sources;
}
import requests
response = requests.get(
'https://starknet.api.avnu.fi/swap/v3/sources',
)
sources = response.json()
print(f"Total sources: {len(sources)}")
[
{
"name": "10kSwap",
"type": "DEX"
},
{
"name": "Ekubo",
"type": "DEX"
},
{
"name": "JediSwap",
"type": "DEX"
},
{
"name": "MySwapCL",
"type": "DEX"
},
{
"name": "Nostra",
"type": "DEX"
}
]
Swap
Get Sources
List all supported liquidity sources
GET
/
swap
/
v3
/
sources
curl "https://starknet.api.avnu.fi/swap/v3/sources" \
async function getSources() {
const response = await fetch(
'https://starknet.api.avnu.fi/swap/v3/sources',
);
const sources = await response.json();
return sources;
}
import requests
response = requests.get(
'https://starknet.api.avnu.fi/swap/v3/sources',
)
sources = response.json()
print(f"Total sources: {len(sources)}")
[
{
"name": "10kSwap",
"type": "DEX"
},
{
"name": "Ekubo",
"type": "DEX"
},
{
"name": "JediSwap",
"type": "DEX"
},
{
"name": "MySwapCL",
"type": "DEX"
},
{
"name": "Nostra",
"type": "DEX"
}
]
Overview
Returns all DEXs and liquidity sources that avnu routes through. Use this to understand which protocols are supported and display routing information to users.Query Parameters
integer
default:"0"
Zero-based page index
integer
default:"20"
Page size
array
Sorting criteria in format “property,(asc|desc)“
Response
Returns an array of liquidity source objects.string
DEX protocol name (e.g., “JediSwap”, “Ekubo”, “10kSwap”)
string
Source classification (currently “DEX”)
curl "https://starknet.api.avnu.fi/swap/v3/sources" \
async function getSources() {
const response = await fetch(
'https://starknet.api.avnu.fi/swap/v3/sources',
);
const sources = await response.json();
return sources;
}
import requests
response = requests.get(
'https://starknet.api.avnu.fi/swap/v3/sources',
)
sources = response.json()
print(f"Total sources: {len(sources)}")
[
{
"name": "10kSwap",
"type": "DEX"
},
{
"name": "Ekubo",
"type": "DEX"
},
{
"name": "JediSwap",
"type": "DEX"
},
{
"name": "MySwapCL",
"type": "DEX"
},
{
"name": "Nostra",
"type": "DEX"
}
]
Related Endpoints
Get Quotes
Get quotes showing which sources are used
Was this page helpful?